<script setup lang="ts">
withDefaults(defineProps<{
  color?: string
}>(), {
  color: 'currentColor',
})
</script>

<template>
  <div class="loader" aria-label="Loading..." role="status" />
</template>

<style scoped>
.loader{animation:rotation 1s linear infinite;border:5px solid v-bind(color);border-bottom-color:transparent;border-radius:50%;bottom:12px;box-sizing:border-box;display:inline-block;height:30px;left:12px;opacity:.5;position:absolute;width:30px}@keyframes rotation{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}
</style>
